package com.steering.model.qcm;

/**
 * 数据库表STL_INCISION所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2017-09-20
 */
@SuppressWarnings("serial")
public class StlIncisionEntity implements java.io.Serializable {
    /**
     * 切割实绩编号（虚拟炉号+顺序号+3位流水）
     */
    private String incisionNo = "";
    /**
     * 虚拟炉号
     */
    private String furnaceno = "";
    /**
     * 顺序号(虚拟炉号)
     */
    private String sequenceno = "";
    /**
     * 浇次号
     */
    private String castNo = "";
    /**
     * 浇次炉数
     */
    private String heatcnt = "";
    /**
     * 铸机号
     */
    private String ccmid = "";
    /**
     * 铸流号
     */
    private String flowno = "";
    /**
     * 铸造订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 生产管理号(内部 )
     */
    private String proNo = "";
    /**
     * 冶炼炉号(电炉号)
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 标示炉号(打印炉号)
     */
    private String flagStoveNo = "";
    /**
     * 管坯类型（1铸坯2锻坯）
     */
    private String gptype = "";
    /**
     * 铸造类型（1连铸2模铸）
     */
    private String castingtype = "";
    /**
     * 物料码
     */
    private String materialNo = "";
    /**
     * 物料描叙
     */
    private String materialName = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 成分标准索引号(内控)
     */
    private String cic = "";
    /**
     * 材质标准索引号(内控)
     */
    private String pic = "";
    /**
     * 公差标准索引号(内控)
     */
    private String sic = "";
    /**
     * 探伤索引号(内控)
     */
    private String dic = "";
    /**
     * 组号
     */
    private String batchGroudNo = "";
    /**
     * 管坯直径
     */
    private String diameter = "";
    /**
     * 单倍坯长（mm）
     */
    private String lenGpSingle = "";
    /**
     * 单倍坯重
     */
    private String weightGpOne = "";
    /**
     * 倍尺数
     */
    private String cutNumGp = "";
    /**
     * 倍尺坯长度（mm）
     */
    private String lengthM = "";
    /**
     * 倍尺坯重
     */
    private String weightM = "";
    /**
     * 支数
     */
    private String actCount = "";
    /**
     * 坯总重
     */
    private String actWeight = "";
    /**
     * 喷号机标志（下发切割实绩给L2）
     */
    private String l2flag = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 作业时间
     */
    private String rroTime = "";
    /**
     * 作业人
     */
    private String proUser = "";
    /**
     * 作业班次
     */
    private String proShift = "";
    /**
     * 作业班组
     */
    private String proGroup = "";
    /**
     * 投入物料编码
     */
    private String wlidIn = "";
    /**
     * 投入物料描述
     */
    private String wldescIn = "";
    /**
     * 作业状态：00=初始状态；10=切割完成；20=表检完成；30=下线
     */
    private String ccmState = "";
    /**
     * 铸造计划类型：00=正常；10=表检返线；20=下线返线
     */
    private String ccmPlnType = "";
    /**
     * 判定炉号序号
     */
    private String judgeStoveNoSeq = "";
    /**
     * 倍尺坯支数(计划支)
     */
    private String dMumM = "";
    /**
     * 铸造产线编码
     */
    private String plineCode = "";
    /**
     * 铸造产线描述
     */
    private String plineName = "";
    /**
     * 电炉产线编码
     */
    private String efPlineCode = "";
    /**
     * 电炉产线描述
     */
    private String efPlineName = "";
    /**
     * WIC
     */
    private String wic = "";
    /**
     * GIC
     */
    private String gic = "";
    /**
     * 成分判定记录ID
     */
    private String chemJudgeId = "";
    /**
     * 00初始、10锁定、20预判
     */
    private String judgeFlag = "";
    /**
     * 成分判定结果(4074)
     */
    private String judgeresultChem = "";

    /**
     * 切割实绩编号（虚拟炉号+顺序号+3位流水）
     * @return value
     */
    public String getIncisionNo() {
        return incisionNo;
    }

    /**
     * 切割实绩编号（虚拟炉号+顺序号+3位流水）
     * @param incisionNo value
     */
    public void setIncisionNo(String incisionNo) {
        this.incisionNo = incisionNo;
    }

    /**
     * 虚拟炉号
     * @return value
     */
    public String getFurnaceno() {
        return furnaceno;
    }

    /**
     * 虚拟炉号
     * @param furnaceno value
     */
    public void setFurnaceno(String furnaceno) {
        this.furnaceno = furnaceno;
    }

    /**
     * 顺序号(虚拟炉号)
     * @return value
     */
    public String getSequenceno() {
        return sequenceno;
    }

    /**
     * 顺序号(虚拟炉号)
     * @param sequenceno value
     */
    public void setSequenceno(String sequenceno) {
        this.sequenceno = sequenceno;
    }

    /**
     * 浇次号
     * @return value
     */
    public String getCastNo() {
        return castNo;
    }

    /**
     * 浇次号
     * @param castNo value
     */
    public void setCastNo(String castNo) {
        this.castNo = castNo;
    }

    /**
     * 浇次炉数
     * @return value
     */
    public String getHeatcnt() {
        return heatcnt;
    }

    /**
     * 浇次炉数
     * @param heatcnt value
     */
    public void setHeatcnt(String heatcnt) {
        this.heatcnt = heatcnt;
    }

    /**
     * 铸机号
     * @return value
     */
    public String getCcmid() {
        return ccmid;
    }

    /**
     * 铸机号
     * @param ccmid value
     */
    public void setCcmid(String ccmid) {
        this.ccmid = ccmid;
    }

    /**
     * 铸流号
     * @return value
     */
    public String getFlowno() {
        return flowno;
    }

    /**
     * 铸流号
     * @param flowno value
     */
    public void setFlowno(String flowno) {
        this.flowno = flowno;
    }

    /**
     * 铸造订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 铸造订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 生产管理号(内部 )
     * @return value
     */
    public String getProNo() {
        return proNo;
    }

    /**
     * 生产管理号(内部 )
     * @param proNo value
     */
    public void setProNo(String proNo) {
        this.proNo = proNo;
    }

    /**
     * 冶炼炉号(电炉号)
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 冶炼炉号(电炉号)
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 标示炉号(打印炉号)
     * @return value
     */
    public String getFlagStoveNo() {
        return flagStoveNo;
    }

    /**
     * 标示炉号(打印炉号)
     * @param flagStoveNo value
     */
    public void setFlagStoveNo(String flagStoveNo) {
        this.flagStoveNo = flagStoveNo;
    }

    /**
     * 管坯类型（1铸坯2锻坯）
     * @return value
     */
    public String getGptype() {
        return gptype;
    }

    /**
     * 管坯类型（1铸坯2锻坯）
     * @param gptype value
     */
    public void setGptype(String gptype) {
        this.gptype = gptype;
    }

    /**
     * 铸造类型（1连铸2模铸）
     * @return value
     */
    public String getCastingtype() {
        return castingtype;
    }

    /**
     * 铸造类型（1连铸2模铸）
     * @param castingtype value
     */
    public void setCastingtype(String castingtype) {
        this.castingtype = castingtype;
    }

    /**
     * 物料码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 物料码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 物料描叙
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 物料描叙
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 成分标准索引号(内控)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号(内控)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 材质标准索引号(内控)
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 材质标准索引号(内控)
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 公差标准索引号(内控)
     * @return value
     */
    public String getSic() {
        return sic;
    }

    /**
     * 公差标准索引号(内控)
     * @param sic value
     */
    public void setSic(String sic) {
        this.sic = sic;
    }

    /**
     * 探伤索引号(内控)
     * @return value
     */
    public String getDic() {
        return dic;
    }

    /**
     * 探伤索引号(内控)
     * @param dic value
     */
    public void setDic(String dic) {
        this.dic = dic;
    }

    /**
     * 组号
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 管坯直径
     * @return value
     */
    public String getDiameter() {
        return diameter;
    }

    /**
     * 管坯直径
     * @param diameter value
     */
    public void setDiameter(String diameter) {
        this.diameter = diameter;
    }

    /**
     * 单倍坯长（mm）
     * @return value
     */
    public String getLenGpSingle() {
        return lenGpSingle;
    }

    /**
     * 单倍坯长（mm）
     * @param lenGpSingle value
     */
    public void setLenGpSingle(String lenGpSingle) {
        this.lenGpSingle = lenGpSingle;
    }

    /**
     * 单倍坯重
     * @return value
     */
    public String getWeightGpOne() {
        return weightGpOne;
    }

    /**
     * 单倍坯重
     * @param weightGpOne value
     */
    public void setWeightGpOne(String weightGpOne) {
        this.weightGpOne = weightGpOne;
    }

    /**
     * 倍尺数
     * @return value
     */
    public String getCutNumGp() {
        return cutNumGp;
    }

    /**
     * 倍尺数
     * @param cutNumGp value
     */
    public void setCutNumGp(String cutNumGp) {
        this.cutNumGp = cutNumGp;
    }

    /**
     * 倍尺坯长度（mm）
     * @return value
     */
    public String getLengthM() {
        return lengthM;
    }

    /**
     * 倍尺坯长度（mm）
     * @param lengthM value
     */
    public void setLengthM(String lengthM) {
        this.lengthM = lengthM;
    }

    /**
     * 倍尺坯重
     * @return value
     */
    public String getWeightM() {
        return weightM;
    }

    /**
     * 倍尺坯重
     * @param weightM value
     */
    public void setWeightM(String weightM) {
        this.weightM = weightM;
    }

    /**
     * 支数
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 支数
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 坯总重
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 坯总重
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 喷号机标志（下发切割实绩给L2）
     * @return value
     */
    public String getL2flag() {
        return l2flag;
    }

    /**
     * 喷号机标志（下发切割实绩给L2）
     * @param l2flag value
     */
    public void setL2flag(String l2flag) {
        this.l2flag = l2flag;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 作业时间
     * @return value
     */
    public String getRroTime() {
        return rroTime;
    }

    /**
     * 作业时间
     * @param rroTime value
     */
    public void setRroTime(String rroTime) {
        this.rroTime = rroTime;
    }

    /**
     * 作业人
     * @return value
     */
    public String getProUser() {
        return proUser;
    }

    /**
     * 作业人
     * @param proUser value
     */
    public void setProUser(String proUser) {
        this.proUser = proUser;
    }

    /**
     * 作业班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 作业班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 作业班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 作业班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 投入物料编码
     * @return value
     */
    public String getWlidIn() {
        return wlidIn;
    }

    /**
     * 投入物料编码
     * @param wlidIn value
     */
    public void setWlidIn(String wlidIn) {
        this.wlidIn = wlidIn;
    }

    /**
     * 投入物料描述
     * @return value
     */
    public String getWldescIn() {
        return wldescIn;
    }

    /**
     * 投入物料描述
     * @param wldescIn value
     */
    public void setWldescIn(String wldescIn) {
        this.wldescIn = wldescIn;
    }

    /**
     * 作业状态：00=初始状态；10=切割完成；20=表检完成；30=下线
     * @return value
     */
    public String getCcmState() {
        return ccmState;
    }

    /**
     * 作业状态：00=初始状态；10=切割完成；20=表检完成；30=下线
     * @param ccmState value
     */
    public void setCcmState(String ccmState) {
        this.ccmState = ccmState;
    }

    /**
     * 铸造计划类型：00=正常；10=表检返线；20=下线返线
     * @return value
     */
    public String getCcmPlnType() {
        return ccmPlnType;
    }

    /**
     * 铸造计划类型：00=正常；10=表检返线；20=下线返线
     * @param ccmPlnType value
     */
    public void setCcmPlnType(String ccmPlnType) {
        this.ccmPlnType = ccmPlnType;
    }

    /**
     * 判定炉号序号
     * @return value
     */
    public String getJudgeStoveNoSeq() {
        return judgeStoveNoSeq;
    }

    /**
     * 判定炉号序号
     * @param judgeStoveNoSeq value
     */
    public void setJudgeStoveNoSeq(String judgeStoveNoSeq) {
        this.judgeStoveNoSeq = judgeStoveNoSeq;
    }

    /**
     * 倍尺坯支数(计划支)
     * @return value
     */
    public String getDMumM() {
        return dMumM;
    }

    /**
     * 倍尺坯支数(计划支)
     * @param dMumM value
     */
    public void setDMumM(String dMumM) {
        this.dMumM = dMumM;
    }

    /**
     * 铸造产线编码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 铸造产线编码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 铸造产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 铸造产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 电炉产线编码
     * @return value
     */
    public String getEfPlineCode() {
        return efPlineCode;
    }

    /**
     * 电炉产线编码
     * @param efPlineCode value
     */
    public void setEfPlineCode(String efPlineCode) {
        this.efPlineCode = efPlineCode;
    }

    /**
     * 电炉产线描述
     * @return value
     */
    public String getEfPlineName() {
        return efPlineName;
    }

    /**
     * 电炉产线描述
     * @param efPlineName value
     */
    public void setEfPlineName(String efPlineName) {
        this.efPlineName = efPlineName;
    }

    /**
     * WIC
     * @return value
     */
    public String getWic() {
        return wic;
    }

    /**
     * WIC
     * @param wic value
     */
    public void setWic(String wic) {
        this.wic = wic;
    }

    /**
     * GIC
     * @return value
     */
    public String getGic() {
        return gic;
    }

    /**
     * GIC
     * @param gic value
     */
    public void setGic(String gic) {
        this.gic = gic;
    }

    /**
     * 成分判定记录ID
     * @return value
     */
    public String getChemJudgeId() {
        return chemJudgeId;
    }

    /**
     * 成分判定记录ID
     * @param chemJudgeId value
     */
    public void setChemJudgeId(String chemJudgeId) {
        this.chemJudgeId = chemJudgeId;
    }

    /**
     * 00初始、10锁定、20预判
     * @return value
     */
    public String getJudgeFlag() {
        return judgeFlag;
    }

    /**
     * 00初始、10锁定、20预判
     * @param judgeFlag value
     */
    public void setJudgeFlag(String judgeFlag) {
        this.judgeFlag = judgeFlag;
    }

    /**
     * 成分判定结果(4074)
     * @return value
     */
    public String getJudgeresultChem() {
        return judgeresultChem;
    }

    /**
     * 成分判定结果(4074)
     * @param judgeresultChem value
     */
    public void setJudgeresultChem(String judgeresultChem) {
        this.judgeresultChem = judgeresultChem;
    }
}
